Groovy 1.7.10

## groovy.jmx.builder
[Groovy] Class JmxBeanExportFactory

    java.lang.Object
      groovy.util.AbstractFactory
          groovy.jmx.builder.JmxBeanExportFactory

    class JmxBeanExportFactory
    extends AbstractFactory

This factory returns a container node for all other nodes that are used to collect meta data for resources that are exported to the MBeanServer for management.

Supported syntax

         def jmx = new JmxBuilder()
         jmx.export(registrationPolicy:"replace|ignore|error") {
             bean(...)
        }

registrationPolicy indicates how resources will be registered: "replace" - replaces existing bean,
"ignore" - ignores the registration request if bean already exists.
"error" - throws error if bean is already registered.

Authors:
  vladimir vivien

Property Summary
`def` | `registrationPolicy`

Method Summary
`boolean` | `isLeaf()`
`Object` | `newInstance(FactoryBuilderSupport builder, Object nodeName, Object nodeArgs, Map nodeAttribs)`
`boolean` | `onHandleNodeAttributes(FactoryBuilderSupport builder, Object node, Map nodeAttribs)`

Methods inherited from class AbstractFactory
isHandlesNodeChildren, isLeaf, onFactoryRegistration, onHandleNodeAttributes, onNodeChildren, onNodeCompleted, setChild, setParent

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Property Detail

### registrationPolicy

    def registrationPolicy

Method Detail

### isLeaf

    boolean isLeaf()

### newInstance

    Object newInstance(FactoryBuilderSupport builder, Object nodeName, Object nodeArgs, Map nodeAttribs)

### onHandleNodeAttributes

    boolean onHandleNodeAttributes(FactoryBuilderSupport builder, Object node, Map nodeAttribs)

Copyright © 2003-2010 The Codehaus. All rights reserved.